# $Revision: 1.27.2.1 $, $Date: 2007-12-16 09:22:02 $
Summary:	VPD/hardware inventory utilities for Linux
Summary(pl.UTF-8):	Narzędzia do inwentaryzacji VPD/sprzętu dla Linuksa
Name:		lsvpd
Version:	1.0.3
Release:	3
License:	GPL
Group:		Applications/System
Source0:	http://dl.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz
# Source0-md5:	5d6cc395deeab1bb926a2f973d4cad1d
Patch0:		%{name}-make.patch
URL:		http://linux-diag.sourceforge.net/Lsvpd.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db-cxx-devel >= 4.2
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sg3_utils-devel
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(post):	/sbin/ldconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_exec_prefix	/
%define		_libdir		/usr/%{_lib}
%define		_sbindir	/sbin

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode commands.
These commands, along with a boot-time scanning script called
update-device-tree, constitute a simple hardware inventory system. The
lsvpd command provides Vital Product Data (VPD) about hardware
components to higher-level serviceability tools. The lscfg command
provides a more human-readable format of the VPD, as well as some
system-specific information. lsmcode lists microcode and firmware
levels.

%description -l pl.UTF-8
Pakiet lsvpd zawiera polecenia lsvpd, lscfg i lsmcode. Tworzą one,
wraz z uruchamianym przy starcie systemu skryptem update-device-tree,
prosty system inwentaryzacji sprzętu. Polecenie lsvpd dostarcza VPD
(Vital Product Data) o podzespołach sprzętowych dla narzędzi wyższego
poziomu. Polecenie lscfg dostarcza bardziej czytelną dla człowieka
postać VPD oraz trochę informacji specyficznych dla systemu. lsmcode
wypisuje poziomy mikrokodu i firmware'u.

%package devel
Summary:	Header files for vpd library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vpd
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for vpd library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki vpd.

%package static
Summary:	Static vpd library
Summary(pl.UTF-8):	Statyczna biblioteka vpd
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static vpd library.

%description static -l pl.UTF-8
Statyczna biblioteka vpd.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} LIBDB=-ldb_cxx-4.2

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install vpdupdater $RPM_BUILD_ROOT/etc/rc.d/init.d/vpdupdater

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libvpd-1.0.so.*.*.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib}; echo libvpd-1.0.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/libvpd-1.0.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/chkconfig --add vpdupdater

%postun	-p /sbin/ldconfig

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del vpdupdater
fi

%triggerpostun -- lsvpd < 1.0.0
/sbin/chkconfig --del lsvpd

%files
%defattr(644,root,root,755)
%doc NEWS README TODO docs/*.html
%attr(755,root,root) /sbin/lscfg
%attr(755,root,root) /sbin/lsmcode
%attr(755,root,root) /sbin/lsvio
%attr(755,root,root) /sbin/lsvpd
%attr(755,root,root) /sbin/vpdupdate
%attr(755,root,root) /%{_lib}/libvpd-1.0.so.*.*.*
%attr(754,root,root) /etc/rc.d/init.d/vpdupdater
%{_mandir}/man8/lscfg.8*
%{_mandir}/man8/lsmcode.8*
%{_mandir}/man8/lsvio.8*
%{_mandir}/man8/lsvpd.8*
%{_mandir}/man8/vpdupdate.8*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libvpd-1.0.so
%{_libdir}/libvpd-1.0.la
%{_includedir}/libvpd-1

%files static
%defattr(644,root,root,755)
%{_libdir}/libvpd-1.0.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lsvpd.spec,v $
Revision 1.27.2.1  2007-12-16 09:22:02  glen
- with db 4.2 on ac

Revision 1.27  2007-11-18 18:07:03  arekm
- rel 3

Revision 1.26  2007-10-12 17:04:30  sls
- fixed building with db4.6

Revision 1.25  2007/06/14 18:24:57  arekm
- rel 2

Revision 1.24  2007/02/18 12:39:50  qboosh
- updated to 1.0.3
- added make patch, removed outdated gcc4 patch
- service name has been changed (lsvpd -> vpdupdater)

Revision 1.23  2007/02/13 06:46:52  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:49:06  baggins
- converted to UTF-8

Revision 1.21  2006/09/20 15:33:26  pluto
- real gcc4 fixes.

Revision 1.20  2006/09/20 11:08:54  qboosh
- gcc epoch

Revision 1.19  2006/09/20 10:22:59  tommat
- fno-unit-at-a-time requires gcc 4.0 or higher

Revision 1.18  2006/09/18 22:29:04  qboosh
- updated to 0.16.0

Revision 1.17  2006/06/04 01:05:15  qboosh
- up to 0.15.1, still doesn't build with sysfsutils 2.0.0

Revision 1.16  2006/05/27 17:40:09  qboosh
- up to 0.15.0, but doesn't build with current libsysfs

Revision 1.15  2006/03/02 22:56:30  glen
- whoops

Revision 1.14  2006/03/02 22:55:45  glen
- standard service restart and stop (if it's bad idea leave note)

Revision 1.13  2005/11/19 13:17:25  qboosh
- updated to 0.14.1

Revision 1.12  2005/10/28 18:39:57  qboosh
- updated to 0.13.2

Revision 1.11  2005/08/13 19:29:19  qboosh
- updated to 0.13.0, removed outdated ide-proc patch

Revision 1.10  2005/05/20 17:43:28  qboosh
- one more file

Revision 1.9  2005/05/18 23:09:49  zbyniu
- BR: perl-base

Revision 1.8  2005/05/18 23:08:01  zbyniu
- up to 0.12.7

Revision 1.7  2005/04/13 17:23:04  darekr
- BR: sed 4.0

Revision 1.6  2004/11/17 12:48:04  qboosh
- added ide-proc patch, release 2

Revision 1.5  2004/11/06 19:17:52  qboosh
- added URL

Revision 1.4  2004/11/06 19:16:51  qboosh
- updated to 0.12.3

Revision 1.3  2004/06/27 19:51:56  qboosh
- updated to 0.12.0

Revision 1.2  2004/05/15 01:09:55  adasi
- it really requires bash
- fixed attributes

Revision 1.1  2004/05/15 00:49:39  qboosh
- new, probably needs some work
- spec partially based on one provided in tarball
